This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 37853 - Unable to unmount removable media after clients unmount
Summary: Unable to unmount removable media after clients unmount
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-26 15:26 UTC by Larry Staberg
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Larry Staberg 2001-04-26 15:26:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75C-Boeing UNIX Kit [en] (X11; U; HP-UX B.10.20
9000/777)


After the client unmounts a removable media the umount command on the
server fails with 'device busy'.
The only way to clear this is to restart the nfs deamons. ie:
/etc/init.d/nfs restart
Output from umount:
   umount: /mnt/cdrom: device is busy

Output from fuser -v:
                            USER        PID ACCESS COMMAND
    /mnt/cdrom           root     kernel mount  /mnt/cdrom


Output from exportfs:
    /mnt/cdrom      *

Reproducible: Always
Steps to Reproduce:
1. mount a cdrom on a server, make sure mount point is exported.
2. go to client and mount cdrom from server
3. unmount cdrom from client.
4. try to umount cdrom on server.
5. run fuser -v on mount point.
	

Actual Results:  umount returned:

umount: /mnt/cdrom: device is busy

and fuser -v returned:

                     USER        PID ACCESS COMMAND
/mnt/cdrom           root     kernel mount  /mnt/cdrom

Expected Results:  I expected to be able to umount the removable media..

I had heard that this was found in 6.2 around kernel version 2.2.16
but is still presend in 2.4.2

Comment 1 Bogdan Costescu 2001-05-02 16:23:00 UTC
/mnt/cdrom has to be unexported first (i.e. removed from /etc/exports, then run
exportfs -r). Then the umount command should succeed.


Comment 2 Larry Staberg 2001-05-02 19:01:37 UTC
I'm confused.. Is using the exportfs to clear the kernel table the final answer
or another work-a-round?
I would expect that the umount command would clear the kernel table of the
entry, for example a cdrom,
if there were no other active mounts attached to the entry..
I believe the desired affect is to simply un-mount the removable media...


Comment 3 Bugzilla owner 2004-09-30 15:38:58 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.